Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi! I Have A Remote Server With Clearml Server On It. I’M Trying To Get Access To Clearml Web Ui Through Ssh Port Forwarding (Ssh Vdc01 -Fnl 8080:Localhost:8080), But Getting Error “Server Unavailable” In Localhost:8080 On Local Machine. Cleaml.Conf:

Hi! I have a remote server with ClearML server on it. I’m trying to get access to ClearML Web UI through ssh port forwarding (ssh vdc01 -fNL 8080:localhost:8080), but getting error “server unavailable” in localhost:8080 on local machine.

cleaml.conf:

# ClearML SDK configuration file
api {
    # Notice: 'host' is the api server (default port 8008), not the web server.
    api_server: 

    web_server: 

    files_server: 

/opt/clearml/logs/apiserver.log:

[2023-03-09 07:37:09,594] [9] [WARNING] [elasticsearch] POST 
 [status:N/A request:0.001s]
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 175, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "/usr/local/lib/python3.6/site-packages/urllib3/util/connection.py", line 95, in create_connection
    raise err
  File "/usr/local/lib/python3.6/site-packages/urllib3/util/connection.py", line 85, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/elasticsearch/connection/http_urllib3.py", line 252, in perform_request
    method, url, body, retries=Retry(False), headers=request_headers, **kw
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 786, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py", line 525, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/local/lib/python3.6/site-packages/urllib3/packages/six.py", line 770, in reraise
    raise value
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 710, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 239, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/usr/lib64/python3.6/http/client.py", line 1254, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1300, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1249, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1036, in _send_output
    self.send(msg)
  File "/usr/lib64/python3.6/http/client.py", line 974, in send
    self.connect()
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 205, in connect
    conn = self._new_conn()
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 187, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f24087c0320>: Failed to establish a new connection: [Errno 111] Connection refused

what should I do to fix that?

  
  
Posted one year ago
Votes Newest

Answers 9


no, other

  
  
Posted one year ago

Can you run docker ps on the server and share the output?

  
  
Posted one year ago

image

  
  
Posted one year ago

If ES is not starting, you'll need to get the ES logs (using docker logs clearml-elastic ) - can you get them and share here?

  
  
Posted one year ago

Hmm maybe @<1523701087100473344:profile|SuccessfulKoala55> might have an idea

  
  
Posted one year ago

@<1523701087100473344:profile|SuccessfulKoala55> yes, elastic is failed. don’t understand why
image

  
  
Posted one year ago

/opt/clearml/logs/apiserver.log:

  
  
Posted one year ago

@<1523701760676335616:profile|EnviousPanda91> this issue is not related to the ssh port forwarding - it looks like you can get to the server, but the issue is that some of the server components are not starting up properly. From the apiserver log you attached it seems like the apiserver component is not able to connect to the elasticsearch database

  
  
Posted one year ago

When you say local machine you mean you're trying to access the UI / BE from the same machine you're running the server?

  
  
Posted one year ago
710 Views
9 Answers
one year ago
one year ago
Tags
Similar posts